libzypp 17.37.10

RepoManager.h File Reference
`#include <iosfwd>`
`#include <list>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/base/Flags.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/repo/RepoException.h>`
`#include <zypp/repo/RepoType.h>`
`#include <zypp/repo/ServiceType.h>`
`#include <zypp/ServiceInfo.h>`
`#include <zypp/RepoStatus.h>`
`#include <zypp/RepoManagerFlags.h>`
`#include <zypp/RepoManagerOptions.h>`
`#include <utility>`
`#include <zypp-core/ui/ProgressData>`

Go to the source code of this file.

## Classes
class | zypp::RepoManager
| creates and provides information about known sources. More...
struct | zypp::RepoManager::MatchServiceAlias
| Functor thats filter RepoInfo by service which it belongs to. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::list< RepoInfo > | zypp::readRepoFile (const Url &repo_file) ZYPP_API
| Parses repo_file and returns a list of RepoInfo objects corresponding to repositories found within the file.